use crate::types::user_id::UserId;

#[derive(Debug, serde::Deserialize)]
pub struct CreateRoomRequest {
    /// Extra keys, such as `m.federate`, to be added to the content of the `m.room.create` event.
    creation_content: Option<()>,
    /// List of state events to set in the initial room. Used for overriding the default state
    initial_state: Vec<()>,
    /// List of user IDs to invite to the room
    invite: Option<Vec<String>>,
    /// List of thirdparty IDs to invite to the room
    invite_3pid: Option<Vec<()>>,
    /// Indicate if room is a direct chat room
    is_direct: Option<bool>,
    /// Set name of the room
    name: Option<String>,
    /// Used to override the default power level event
    power_level_content_override: Option<()>,
    /// Preset for room creation
    preset: Option<()>,
    /// Desired room alias local part
    room_alias_name: Option<String>,
    /// Version of room to create. Defaults to server default
    room_version: Option<String>,
    /// Sets rooms topic
    topic: Option<String>,
    /// Sets rooms visibility
    visibility: ()
}